Loading...
Searching...
No Matches
ExprNodeRep.h File Reference
`#include <casacore/casa/aips.h>`
`#include <casacore/tables/Tables/Table.h>`
`#include <casacore/tables/TaQL/TableExprId.h>`
`#include <casacore/tables/TaQL/ExprRange.h>`
`#include <casacore/tables/TaQL/MArray.h>`
`#include <casacore/casa/Containers/Record.h>`
`#include <casacore/casa/BasicSL/Complex.h>`
`#include <casacore/casa/Quanta/MVTime.h>`
`#include <casacore/casa/Quanta/Unit.h>`
`#include <casacore/casa/Utilities/DataType.h>`
`#include <casacore/casa/Utilities/Regex.h>`
`#include <casacore/casa/Utilities/StringDistance.h>`
`#include <casacore/casa/iosfwd.h>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | casacore::TaqlRegex
| More...
class | casacore::TableExprInfo
| Class to connect a Table and its alias name. More...
class | casacore::TableExprNodeRep
| Abstract base class for a node in a table column expression tree. More...
class | casacore::TableExprNodeBinary
| Abstract base class for a node having 0, 1, or 2 child nodes. More...
class | casacore::TableExprNodeMulti
| Abstract base class for a node having multiple child nodes. More...

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines

## Typedefs

typedef std::shared_ptr< TableExprNodeRep > | casacore::TENShPtr